﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CONDET]') AND name = N'XCONDET1')
BEGIN 
PRINT 'Creating index XCONDET1 on table CONDET'
CREATE UNIQUE NONCLUSTERED INDEX [XCONDET1] ON [dbo].[CONDET] 
(
	[PNUM] ASC,
	[LINE] ASC,
	[ADEP] ASC,
	[CNUM] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CONDET]') AND name = N'XCONDET2')
BEGIN 
PRINT 'Creating index XCONDET2 on table CONDET'
CREATE UNIQUE NONCLUSTERED INDEX [XCONDET2] ON [dbo].[CONDET] 
(
	[ADEP] ASC,
	[CNUM] ASC,
	[SKUN] ASC,
	[PNUM] ASC,
	[LINE] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CONDET]') AND name = N'XCONDET3')
BEGIN 
PRINT 'Creating index XCONDET3 on table CONDET'
CREATE UNIQUE NONCLUSTERED INDEX [XCONDET3] ON [dbo].[CONDET] 
(
	[PNUM] ASC,
	[SKUN] ASC,
	[LINE] ASC,
	[ADEP] ASC,
	[CNUM] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

